<?php
// Библиотека рассылочника.
class LOG {
  static private $write = false;
  static private $_instance = null;
  
  /**
   *  Конструктор класса.
   */
  public function __construct() {   
     
  }
  
  /**
   * Возвращет единственный экземпляр данного класса.
   * @return object - объект класса 
   */
  static public function getInstance() {
    if (is_null(self::$_instance)) {
      self::$_instance = new self;
    }
    return self::$_instance;
  }
   /**
   * Инициализирует единственный объект данного класса
   * @return object 
   */
  public static function init() {
    self::getInstance();
  }

    /**
   * Полезная при отладке функция, создает лог в корне сайта.
   * @param string $text текст лога.
   * @param string $mode режим записи.
   * @return void
   */
  public static function write($text, $type = 1) {
    if(!self::$write) return false;
    $date = date('Y_m_d');
    $fileName = 'loginfo_'.$date.'.txt';
    switch ($type) {
      case 1: //debug
          $string = date('d.m.Y H:i:s').' DEBUG =>'.$text."\r\n";
          break;
      case 2: //error
          $string = date('d.m.Y H:i:s').' ERROR =>'.$text."\r\n";        
          break;
      case 3: //warring
          $string = date('d.m.Y H:i:s').' WARRING =>'.$text."\r\n";        
          break;
    }
    
    $f = fopen($fileName, 'a+');
    fwrite($f, $string);
    fclose($f);
  }
}
