<?php
  // В этом файле доступен набор данных из массива $data. 
  // Посмотреть содержимое массива можно следующим разкомментировав следующуюю строку. 
  // viewData($data);

  // Определения SEO данных

?>
<style>
  html, body{
    height: 100%;
    margin: 0;
    font-size: 14px;
    font-family: Arial, Verdana, sans-serif;
  }

  input[type="text"],
  input[type="password"],
  input[type="email"]{
    -webkit-appearance: none;
    -moz-appearance: none;
    border-radius: 0;
    background-color: #fff;
    border-style: solid;
    border-width: 1px;
    border-color: #ccc;
    box-shadow: inset 0 1px 2px rgba(0,0,0,0.1);
    color: rgba(0,0,0,0.75);
    display: block;
    font-family: inherit;
    font-size: 14px;
    height: 46px;
    padding: 0 15px;
    margin: 0 0 1rem 0;
    width: 100%;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-transition: border-color .15s linear,background .15s linear;
    -moz-transition: border-color .15s linear,background .15s linear;
    -ms-transition: border-color .15s linear,background .15s linear;
    -o-transition: border-color .15s linear,background .15s linear;
    transition: border-color .15s linear,background .15s linear;
  }

  .text-right{
    text-align: right;
  }

  .center{
    min-height: 100%;
    background: #F1F4F9;
  }

  .link-fail{
    padding: 10px;
    color: #c2646d;
    background: #fdd6da;
    border: 1px solid #eca8a8;
    margin: 0 0 15px 0;
  }

  .link-success{
    padding: 10px;
    color: #4d8b52;
    border: 1px solid #aed0b1;
    background: #d7f4ce;
    margin: 0 0 15px 0;
  }

  .box{
    background: #fff;
    max-width: 365px;
    margin: 0 auto;
    position: relative;
    top: 150px;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    -moz-box-shadow: 0px 1px 2px 0px rgba(0,0,0,0.1);
    -webkit-box-shadow: 0px 1px 2px 0px rgba(0,0,0,0.1);
    box-shadow: 0px 1px 2px 0px rgba(0,0,0,0.1);
  }

  .box-header{
    padding: 20px;
    text-align: center;
    background: #2D3F48;
    -moz-border-radius: 5px 5px 0 0;
    -webkit-border-radius: 5px;
    border-radius: 5px 5px 0 0;
  }

  .box-header h1{
    font-size: 22px;
    line-height: 22px;
    color: #fff;
    margin: 0;
    font-weight: normal;
  }

  .box-body{
    padding: 20px;
  }

  .help-text{
    font-size: 14px;
    line-height: 21px;
    margin: 0 0 15px 0;
    color: #666;
  }

  .form-list{
    margin: 0;
    padding: 0;
    list-style: none;
  }

  .enter-btn{
    display: inline-block;
    margin: 0;
    outline: none;
    font-weight: normal !important;
    padding: 0 30px;
    height: 40px;
    font-size: 16px;
    line-height: 34px;
    border: 1px solid #43AC6A;
    color: #fff;
    border-radius: 3px;
    cursor: pointer;
    background: #43AC6A;
    transition: background-color 300ms ease-out;
  }

  .enter-btn:hover{
    background: #368a55;
  }
</style>
<div class="box">

  <div class="box-header">
    <h1 class="new-products-title">Восстановление пароля</h1>
  </div>

  <div class="box-body">
    <?php if($data['message']):?>
      <div class="auth-text link-success"><?php echo $data['message']?></div>
    <?php endif;
    if($data['error']):?>
      <div class="fail-text link-fail"><?php echo $data['error']?></div>
    <?php endif;?>
    <?php
    switch($data['form']){
      case 1:
        ?>

        <p class="help-text">На адрес электронной почты будет отправлена инструкция по восстановлению пароля.</p>
        <form action = "<?php echo SITE?>/forgotpass" method = "POST">
          <ul class="form-list">
            <li><input type = "text" name = "email" value="Email" onfocus="if (this.value == 'Email') {this.value = '';}" onblur="if (this.value == '') {this.value = 'Email';}" /></li>
          </ul>
          <div class="text-right">
            <input type = "submit" name="forgotpass" class="enter-btn" value = "Отправить" />
          </div>
        </form>

        <?php
        break;
      case 2:
        ?>
        <form action="<?php echo SITE?>/forgotpass" method="POST">
          <ul class="form-list">
            <li>Новый пароль (не менее 5 символов):</li>
            <li><input type = "password" name = "newPass"></li>
            <li>Подтвердите новый пароль:<span class="red-star">*</span></li>
            <li><input type="password" name="pass2"></li>
          </ul>
          <div class="clear"></div>
          <div class="text-right">
            <input type="submit" class="enter-btn" name="chengePass" value = "Сохранить">
          </div>
        </form>

      <?php } ?>
  </div>
</div>