<?php
/**
 * Файл metodadapter.php содержит набор функций, необходимых пользователям
 * для построения собственных скриптов. 
 *
 * @author Авдеев Марк <mark-avdeev@mail.ru>
 * @package moguta.cms
 * @subpackage Files
 */



/**
 * Добавляет переданную строку в секцию <head> </head>
 *
 * @param string $data - строковая переменная, с данными.
 * Например:
 *   $data = '<script type="text/javascript" src="'.SITE.'/mg-core/script/jquery-1.7.2.min.js"></script>'
 * @return void.
 */
function mgAddMeta($data){
   MG::set('userMeta', MG::get('userMeta')."\n".$data);
}


/**
 *
 * @return void
 */
function  viewData($data){
  echo "<pre>";
  echo htmlspecialchars( print_r( $data , true) );
  echo "</pre>";
}
